当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 14 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [讨论]安装了ATI官方驱动,这个结果正确吗?
帖子发表于 : 2007-09-25 3:23 

注册: 2007-09-24 5:21
帖子: 50
送出感谢: 0 次
接收感谢: 0 次
note@note-desktop:~$ fglrxinfo
Xlib: extension "XFree86-DRI" missing on display ":0.0".
display: :0.0 screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.4 (1.5 Mesa 6.5.2)


note@note-desktop:~$ glxinfo | grep render
Xlib: extension "XFree86-DRI" missing on display ":0.0".
direct rendering: No
GLX_ATI_pixel_format_float, GLX_ATI_render_texture
OpenGL renderer string: Mesa GLX Indirect

如果,不正确。为什么?
我的显卡是ATI 9550改9600的,安装驱动的方法所安帖子上一步一步作的 。
http://forum.ubuntu.org.cn/viewtopic.php?t=26188
方法2


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-09-25 4:03 

注册: 2007-09-24 5:21
帖子: 50
送出感谢: 0 次
接收感谢: 0 次
发现了那样的结果应该是不正确的 。
好像官方驱动不支持9600XT的?HD?好像9600不是阿。。
但是我用方法1,还是出现下面的结果。
note@note-desktop:~$ fglrxinfo
Xlib: extension "XFree86-DRI" missing on display ":0.0".
display: :0.0 screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.4 (1.5 Mesa 6.5.2)


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-09-25 5:27 
头像

注册: 2007-05-10 19:42
帖子: 255
地址: 南京, Deutschland, Karlsruhe
送出感谢: 0 次
接收感谢: 0 次
如果ati的显卡比较老fglr是不支持的
卸载fglr, 只安装DRI, 重启
direct rendering: 就应该是yes了


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-09-25 10:31 

注册: 2007-09-24 5:21
帖子: 50
送出感谢: 0 次
接收感谢: 0 次
您好,我不知道什么是FGLR
什么是 DRI,,,
我玩LINUX才2天。。不好意思哈。。能告诉我吗?或者给个详细的资料。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-09-25 10:44 

注册: 2007-09-24 5:21
帖子: 50
送出感谢: 0 次
接收感谢: 0 次
顺便说下,虽然安装信息显示那样,但是桌面的分辨率和刷新率上来了。这是怎么回事?


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-09-25 17:25 
头像

注册: 2007-05-10 19:42
帖子: 255
地址: 南京, Deutschland, Karlsruhe
送出感谢: 0 次
接收感谢: 0 次
https://help.ubuntu.com/community/RadeonDriver

这个说的很详细,认真看过之后照做就可以了
good luck


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-09-25 20:40 

注册: 2007-09-24 5:21
帖子: 50
送出感谢: 0 次
接收感谢: 0 次
wo tao yan ying wen...
kan bu dong a...hanshui.


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-09-25 21:37 
头像

注册: 2007-05-10 19:42
帖子: 255
地址: 南京, Deutschland, Karlsruhe
送出感谢: 0 次
接收感谢: 0 次
dick_jj 写道:
wo tao yan ying wen...
kan bu dong a...hanshui.


小兄弟, 不要讨厌英文阿, 这个计算机的所有东西,有几个是中国人原创的?
要虚心学习阿, 不是有stardict么,慢慢看吧,不难的.


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-09-25 21:44 
头像

注册: 2007-05-10 19:42
帖子: 255
地址: 南京, Deutschland, Karlsruhe
送出感谢: 0 次
接收感谢: 0 次
其实主要就是下面这段内容

Accelerated 3D support (r300 series)

All these cards and derivatives have good 3D acceleration support
9500 / R300 based cards.
9600 / rv350 or rv360 based cards.
9700 / R300 based cards.
9800 / R350 or R360 based cards.
X300 / rv370 based cards.
X600 / rv380 based cards.
X700 / rv410 based cards.
X800 / R420 or R423 or R430 or R480 based cards.
X850 / R480 or R481 based cards.
X1050 / rv370 based cards.
Full 3D support (r100 and r200 series)

All these cards and derivatives have full 3D acceleration support
7000 / rv100 based cards.
7200 / R100 based cards.
7500 / rv200 based cards.
8X00 / R200 based cards.
9000 / rv250 based cards.
9100 / R200 based cards.
9200 / rv280 based cards.

There is a bug related to the DVI output on the rv280-based cards, please check Radeon_9200/9250_%28RV280%29_and_DVI
Ubuntu installation with AIGLX

The ati driver is already shipped with Ubuntu, so you won't have to download it. This driver is completely compatible with AIGLX, so if you want an accelerated desktop, you don't need to install XGL.
Removing the proprietary fglrx driver

fglrx is the name of the closed-source, proprietary driver from ATI. It conflicts with the open-source "radeon" driver. If the "fglrx" kernel module is loaded at boot, X will be able to start using the "radeon" driver but "Direct Rendering" (DRI) will be disabled. This results in a severe performance reduction. If you previously used the proprietary "fglrx" driver it is highly recommended to unload the "fglrx" module if you wish to use the open-source "radeon" driver. This can be done with:
sudo modprobe -r fglrx

To prevent the loading of this module at boot, you may blacklist it.

The libGL.so in /usr/lib might also still be the version installed by xorg-driver-fglrx. You can check that very easily, just run:
$ glxinfo |grep vendor

If you see: client glx vendor string: ATI, then the libGL.so is still from ATI. Just remove the xorg-driver-fglrx package and make sure libgl1-mesa-glx and libgl1-mesa-dri are installed:
$ sudo apt-get remove xorg-driver-fglrx
$ sudo apt-get install libgl1-mesa-glx libgl1-mesa-dri


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2007-09-25 21:50 

注册: 2007-03-20 22:42
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
我是照这个帖子安装的
[quote]
1 如果你还忍受着宽屏笔记本的分辨率停留在1024x768的情况下(8。16。20驱动所带来的问题),那么我建议安装这个驱动。Breezy伴随而来的驱动是8。16。20。而这两个驱动在性能上也没什么区别

2 这个方法报包括创建一个.deb的文件然后在再安装这个驱动。如果你已经具备了安装所必须的先决条件,那么你也可以只运行.sh文件并用图形安装程序来安装它。用.deb这种安装方法有几个优点:如果你还缺少什么必备的文件或者程序它会给你有用的错误提示并且它允许你很容易的卸载程序(用新得立)

3 郑重警告:安装这个驱动并正常工作需要你去除掉restricted-modules包,这个软件包包含有madwifi(另外一种无线网卡),nvdia显卡,和少数其他设备的驱动。我正在从事有关于madwifi驱动方面的工作,在你去除restricted modules你必须执行这一步(跳到最后)--(最后这一句是在是翻译的不怎么好阿,有翻译的好的给改一下)

4 在运行dpkg-reconfigure命令的时候你应该回答你所知道的问题,如果不知道就按照默认的就好了。你或许在回答 monitor detection的时候选no --在有些人的机子上使x-windows崩溃了(在我的机子上就是这样,我建议还是选no吧,没什么影响的)

去除(或者说卸载更好?)旧版本的驱动

如果你已经安装了的话去除Breezy已经包含的驱动

代码:sudo apt-get remove xorg-driver-fglrx
y
sudo apt-get remove linux-restricted-modules-$(uname -r)
sudo dpkg-reconfigure xserver-xorg #Select the ATI driver

重启

5安装新的驱动

下载ati的驱动安装程序:
https://support.ati.com/ics/support/def ... olderID=27

对所有的平台(版本):

进入你下载文件的目录(cd/path/to/directory)。在安装的过程中你会许会得到关于依赖性的错误提示。你可以忽略它因为我们在upgrade这一步时会解决这个问题的
代码:

sudo apt-get install gcc-3.4 module-assistant build-essential fakeroot dh-make debconf
sudo sh ./ati-driver-installer-8.18.8-i386.run --buildpkg Ubuntu/breezy
sudo dpkg -i fglrx-control_8.18.8-1_i386.deb
sudo dpkg -i fglrx-kernel-source_8.18.8-1_i386.deb
sudo dpkg -i xorg-driver-fglrx_8.18.8-1_i386.deb
sudo apt-get -f upgrade

现在来编译内核驱动:
代码:
sudo module-assistant prepare
sudo module-assistant update
sudo module-assistant a-i fglrx

现在用fglrx来更新你的xorg.conf(有许多办法来作这一步):

代码:
sudo aticonfig --initial

6 64位的用户:
你不得不降级使用旧版本的libdri.a
从这里下载:http://mail3.mpr.org/mlomker/libdri.a.gz
进入下载目录:
代码:
gunzip libdri.a.gz
sudo cp /usr/X11R6/lib/modules/extensions/libdri.a libdri.a.old
sudo cp libdri.a /usr/X11R6/lib/modules/extensions/

如果你希望恢复非fglrx的驱动的话,你需要备份libdri.a.old去还原fglrx的版本

所有的平台(版本):Ctrl-Alt-Backspace来重启你的会话

确认驱动是否工作
代码:
mlomker@mlomkernote:/$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: MOBILITY RADEON 9700 Generic
OpenGL version string: 1.3.5395 (X4.3.0-8.18.Cool

故障解决:
63位用户:
在你重启的时候你或许会看到下面这样的错误信息:
代码:
Duplicate symbol rol_long in /usr/X11R6/lib/modules/drivers/fglrx_drv.o
Also defined in /usr/X11R6/lib/modules/linux/libint10.a

你可以通过编辑xorg.cong文件并注释掉libint10.a 这行来解决这个问题
代码:
sudo nano /etc/X11/xorg.conf

需要注释的代码如下:
Section "Module"
# Load "int10"
EndSection

Ctrl-X, Y, Enter
然后保存[/quote]


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2007-09-25 22:57 

注册: 2007-09-24 5:21
帖子: 50
送出感谢: 0 次
接收感谢: 0 次
我英文差阿。。。就所英文基本=0那种类型,你要我去看这对英文,我用 GOOGLE翻译了都所一知半解的 。。
好多地方搞不清楚正确的意思阿。。


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2007-09-26 0:39 

注册: 2006-03-21 10:47
帖子: 406
送出感谢: 0 次
接收感谢: 0 次
系统版本???驱动版本????你要说清楚情况了别人才能帮你的。


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2007-09-26 2:12 

注册: 2007-09-24 5:21
帖子: 50
送出感谢: 0 次
接收感谢: 0 次
系统版本:ubuntu 7.0.4
驱动程序是:8.4的
清文还需要知道些什么》?


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2007-09-26 13:35 

注册: 2007-09-24 5:21
帖子: 50
送出感谢: 0 次
接收感谢: 0 次
我在驱动上面花了两天的时间了。。。
室了过后,发现http://forum.ubuntu.org.cn/viewtopic.php?t=26188
的方法 0和方法1我都成功了
但所方法2自行编译安装就安不上去 。。。
最后我之能直接执行./*.run来安装,却成功了,但是为什么我自行编译安装就安不上去呢?想不通阿 。。。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 14 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Yahoo [Bot] 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译